Sûr de désinstaller .NET Framework 2.0 et 1.0 après l'installation de 3.5?


Answers

En plus des autres réponses (correctes) indiquant que 3.5 dépend de la version 2.0, je vous suggère de ne pas supprimer 1.1 pour des raisons de compatibilité. MS a fait du bon travail en rendant le 2.0 rétrocompatible, mais ce n'est pas 100%. Toute application écrite pour et testée sur 1.1 est plus susceptible de fonctionner dessus que sur 2.0.

Question

Je suis nouveau au développement de Windows et j'ai une question. J'utilise un Mac avec Boot Camp pour exécuter Windows en dual boot, mais j'ai une très petite partition Windows (10 Go, car Boot Camp a échoué avec une plus grande partition, en raison de l'utilisation du disque). Après l'installation de Visual Studio 2008, je reçois continuellement des avertissements de faible espace disque, ce qui me permet de libérer de l'espace. Je peux voir, à partir du panneau de contrôle, que j'ai plusieurs versions de .NET Framework installées (1.0, 2.0, 3.5, divers Service Packs). Je veux savoir si depuis que j'ai installé le 3.5, je peux retirer les autres en toute sécurité.

Je vous remercie.




Il sera prudent de désinstaller 1.x après l'installation de .NET 3.5, sauf si vous avez toujours des programmes qui en ont besoin.

En ce qui concerne .NET 2.0, il n'est PAS conseillé de s'en débarrasser, la raison étant que 3.5 se monte sur 2.0. Si vous avez IIS sur votre machine, vous ne pourrez certainement pas vous en débarrasser.




3.5 inclut 2.0, donc je ne pense pas que vous serez en mesure d'enlever celui-là. Vous pouvez supprimer 1.x, mais je pense qu'il n'a pas pris beaucoup de place de toute façon.




Comme déjà indiqué, vous pouvez supprimer 1.1 ou 1.0. Si vous rencontrez un programme qui en a besoin, vous avez la joie de les réinstaller. Cependant, pour les applications ASP.NET construites sous 1.1, vous pouvez les renommer en 2.0 et il devrait continuer à fonctionner, grâce à la rétention des méthodes obsolètes.